<h1 mat-dialog-title>
  {{ data.mode[0].toUpperCase() + data.mode.substring(1) }} book
</h1>
<form [formGroup]="form">
  <input hidden formControlName="id" />
  <mat-form-field>
    <mat-label>Title</mat-label>
    <input matInput formControlName="title" />
  </mat-form-field>
  <mat-form-field>
    <mat-label>Publication Year</mat-label>
    <input matInput formControlName="publicationYear" type="number" />
  </mat-form-field>
  <mat-form-field>
    <mat-label>Author</mat-label>
    <mat-select formControlName="author">
      <mat-option *ngFor="let author of authors" [value]="author">
        {{ author.name }}
      </mat-option>
    </mat-select>
  </mat-form-field>
  <mat-form-field>
    <mat-label>Lanhuage</mat-label>
    <mat-select formControlName="language">
      <mat-option *ngFor="let lang of languages" [value]="lang">
        {{ lang.name }}
      </mat-option>
    </mat-select>
  </mat-form-field>

  <div mat-dialog-actions>
    <button mat-button mat-dialog-close>Cancel</button>
    <button
      mat-button
      mat-dialog-close
      cdkFocusInitial
      (click)="data.mode === 'add' ? add() : edit()"
    >
      Ok
    </button>
  </div>
</form>
